var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconZipComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-zip").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#00B7FF', fillRule: "evenodd", d: "M8 2a4 4 0 0 0-4 4v20a4 4 0 0 0 4 4h16a4 4 0 0 0 4-4V12L18 2H8Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M10.56 4.8H8.64a.64.64 0 0 0-.64.64v1.92c0 .354.287.64.64.64h1.92a.64.64 0 0 0 .64-.64V5.44a.64.64 0 0 0-.64-.64Zm3.2 3.2h-1.92a.64.64 0 0 0-.64.64v1.92c0 .354.287.64.64.64h1.92a.64.64 0 0 0 .64-.64V8.64a.64.64 0 0 0-.64-.64Zm-3.2 3.2H8.64a.64.64 0 0 0-.64.64v1.92c0 .353.287.64.64.64h1.92a.64.64 0 0 0 .64-.64v-1.92a.64.64 0 0 0-.64-.64Z", opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M8 18.24a.64.64 0 0 1 .64-.64h1.92a.64.64 0 0 1 .64.64V20h2.56a.64.64 0 0 1 .64.64v5.12a.64.64 0 0 1-.64.64H8.64a.64.64 0 0 1-.64-.64v-7.52Zm1.6 3.36V24h3.2v-2.4H9.6Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M13.76 14.4h-1.92a.64.64 0 0 0-.64.64v1.92c0 .353.287.64.64.64h1.92a.64.64 0 0 0 .64-.64v-1.92a.64.64 0 0 0-.64-.64Z", opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#80DBFF', d: "m18 2 10 10h-6a4 4 0 0 1-4-4V2Z" }));
}
var IconZip = React.forwardRef(IconZipComponent);
export default IconZip;
